/*
Source to isolate use of uuid_t by OSSP uuid.h file. This type is part
of man Unix system headers. The technique used by the OSSP header to
avoid conflict will not work with Chicken sources. So rather than
include the OSSP header directly into a Chicken Scheme source a
"cut-out" is used to isolate the problem.
*/

#include "uuid.h"

/*
These are the enum & macro constants from the header that we cannot
include. See above.
*/

unsigned int uuid_LEN_BIN = UUID_LEN_BIN;
unsigned int uuid_LEN_STR = UUID_LEN_STR;
unsigned int uuid_LEN_SIV = UUID_LEN_SIV;

unsigned int uuid_RC_OK = UUID_RC_OK;
unsigned int uuid_RC_ARG = UUID_RC_ARG;
unsigned int uuid_RC_MEM = UUID_RC_MEM;
unsigned int uuid_RC_SYS = UUID_RC_SYS;
unsigned int uuid_RC_INT = UUID_RC_INT;
unsigned int uuid_RC_IMP = UUID_RC_IMP;

unsigned int uuid_MAKE_V1 = UUID_MAKE_V1;
unsigned int uuid_MAKE_V1MC = (UUID_MAKE_V1 | UUID_MAKE_MC);
unsigned int uuid_MAKE_V3 = UUID_MAKE_V3;
unsigned int uuid_MAKE_V4 = UUID_MAKE_V4;
unsigned int uuid_MAKE_V5 = UUID_MAKE_V5;

unsigned int uuid_FMT_BIN = UUID_FMT_BIN;
unsigned int uuid_FMT_STR = UUID_FMT_STR;
unsigned int uuid_FMT_TXT = UUID_FMT_TXT;
unsigned int uuid_FMT_SIV = UUID_FMT_SIV;
